osgAnimation::RigTransformSoftware::VertexGroup Class Reference

map a set of boneinfluence to a list of vertex indices sharing this set More...

`#include <RigTransformSoftware>`

## Public Member Functions

BonePtrWeightList & | getBoneWeights ()
IndexList & | getVertices ()
void | resetMatrix ()
void | accummulateMatrix (const osg::Matrix &invBindMatrix, const osg::Matrix &matrix, osg::Matrix::value_type weight)
void | computeMatrixForVertexSet ()
void | normalize ()
const osg::Matrix & | getMatrix () const

## Protected Attributes

BonePtrWeightList | _boneweights
IndexList | _vertexes
osg::Matrix | _result

## Detailed Description

map a set of boneinfluence to a list of vertex indices sharing this set

## Member Function Documentation

## accummulateMatrix()

void osgAnimation::RigTransformSoftware::VertexGroup::accummulateMatrix | ( | const osg::Matrix & | invBindMatrix,
|  | const osg::Matrix & | matrix,
|  | osg::Matrix::value_type | weight )

inline

References _result, and osg::Matrixd::ptr().

Referenced by computeMatrixForVertexSet().

## computeMatrixForVertexSet()

void osgAnimation::RigTransformSoftware::VertexGroup::computeMatrixForVertexSet | ( |  | ) |

inline

References _boneweights, _result, accummulateMatrix(), osgAnimation::Bone::getInvBindMatrixInSkeletonSpace(), osgAnimation::Bone::getMatrixInSkeletonSpace(), osg::Matrixd::identity(), osg::notify(), resetMatrix(), and osg::WARN.

Referenced by osgAnimation::RigTransformSoftware::compute(), and osgAnimation::RigTransformSoftware::computeNormal().

## getBoneWeights()

BonePtrWeightList & osgAnimation::RigTransformSoftware::VertexGroup::getBoneWeights | ( |  | ) |

inline

References _boneweights.

## getMatrix()

const osg::Matrix & osgAnimation::RigTransformSoftware::VertexGroup::getMatrix | ( |  | ) | const

inline

References _result.

Referenced by osgAnimation::RigTransformSoftware::compute(), and osgAnimation::RigTransformSoftware::computeNormal().

## getVertices()

IndexList & osgAnimation::RigTransformSoftware::VertexGroup::getVertices | ( |  | ) |

inline

References _vertexes.

Referenced by osgAnimation::RigTransformSoftware::compute(), and osgAnimation::RigTransformSoftware::computeNormal().

## normalize()

void osgAnimation::RigTransformSoftware::VertexGroup::normalize | ( |  | ) |

## resetMatrix()

void osgAnimation::RigTransformSoftware::VertexGroup::resetMatrix | ( |  | ) |

inline

References _result.

Referenced by computeMatrixForVertexSet().

## Member Data Documentation

## _boneweights

BonePtrWeightList osgAnimation::RigTransformSoftware::VertexGroup::_boneweights

protected

Referenced by computeMatrixForVertexSet(), and getBoneWeights().

## _result

osg::Matrix osgAnimation::RigTransformSoftware::VertexGroup::_result

protected

Referenced by accummulateMatrix(), computeMatrixForVertexSet(), getMatrix(), and resetMatrix().

## _vertexes

IndexList osgAnimation::RigTransformSoftware::VertexGroup::_vertexes

protected

Referenced by getVertices().

The documentation for this class was generated from the following file:

- RigTransformSoftware